package com.mcwl.communityCenter.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mcwl.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 社区
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("cc_community_user")
@ApiModel(value = "社区用户")
@AllArgsConstructor
@NoArgsConstructor
public class CommunityUser extends BaseEntity {

    @TableId
    @ApiModelProperty(value = "社区用户id")
    private Long id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "租户id")
    @TableField(fill = FieldFill.INSERT)
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id")
    private Long communityId;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long userId;



}
