package com.mcwl.communityCenter.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.common.core.domain.R;
import com.mcwl.common.core.page.TableDataInfo;
import com.mcwl.communityCenter.domain.Community;
import com.mcwl.communityCenter.domain.dto.CommunityListPageRes;
import com.mcwl.communityCenter.domain.dto.CommunityRes;
import com.mcwl.communityCenter.domain.dto.JoinCommunityRes;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;

public interface CommunityService extends IService<Community> {
    TableDataInfo listByPage(CommunityListPageRes communityListPageRes);

    /**
     * 添加社区
     * @param communityRes 社区信息
     */
    void addCommunity(CommunityRes communityRes);

    /**
     * 加入社区
     * @param joinCommunityRes 加入社区信息
     */
    R<Object> joinCommunity(JoinCommunityRes joinCommunityRes);
}
